
pub mod pasetoken;
#[cfg(test)]
mod test_pasetoken;

use std::collections::HashMap; 

pub use self::pasetoken::{ConfigPaSeToken, PaSeToken};

// pub use self::pasetoken::ConfigPaSeToken::{
//     token_from_file_defs,
//     from_content,
//     make_footer,
// };
pub type BxDynResult<T> = std::result::Result<T, Box<dyn std::error::Error>>;

pub fn generate_keys(path: &str, mode: bool) -> BxDynResult<()> {
    let config_pasetoken: ConfigPaSeToken = ConfigPaSeToken::new(
        String::from(""),
        String::from(""),
        mode,
        String::from(""),
        HashMap::new(),
        HashMap::new(),
        false
    );
    let pasetoken = config_pasetoken.pasetoken()?;
    if mode {
        pasetoken.to_path_bin(
            &format!("{}/public.ky",path),
            &format!("{}/secret.ky",path)
        )
    } else {
        pasetoken.to_path(
            &format!("{}/public.ky",path),
            &format!("{}/secret.ky",path)
        )
    }
}
